namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter12.Listing12_29
{
    public abstract class MathEx<T>
    {
        public static T Add(T first, T second)
        {
            // BŁĄD: Operator '+' nie może zostać 
            // użyty do operandów typów 'T' i 'T'.
            // return first + second;
            return default(T);
        }
    }
}
